Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 174602 - Genius Netscroll+ PS/2 mouse not detected at install time
Summary: Genius Netscroll+ PS/2 mouse not detected at install time
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-11-30 17:16 UTC by Alexandre Oliva
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-18 18:55:21 UTC


Attachments (Terms of Use)

Description Alexandre Oliva 2005-11-30 17:16:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20051118 Fedora/1.5-0.5.0.rc3 Firefox/1.5

Description of problem:
The installer claims there's no mouse if the mouse connected to a PC is a Genius Netscroll+ PS/2 one, even though after install the mouse works just fine, middle button and scroll wheel included.  A similar Genius EasyMouse+ mouse, that does not have the scroll wheel, is detected properly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start the installer with a Genius Netscroll+ PS/2 mouse plugged in

Actual Results:  The installer claims there isn't any mouse connected to the system, and asks whether to perform a text install or a graphical install.

Expected Results:  This mouse should ideally be detected properly.

Additional info:

Comment 1 Bill Nottingham 2005-12-01 18:49:09 UTC
What's in /proc/bus/input/devices during the install?

Comment 2 sketch 2005-12-07 18:48:54 UTC
I get the same error on an IBM Thinkpad with built-in trackpoint.  The device is
seen in /proc/bus/input/devices, but the installer says no mouse was found.  I
plugged a USB mouse in and it was detected, after which point the installer
continued without error.  After X started, the trackpoint did work, so it
appears it is just the installer not seeing the device properly.

The /proc/bus/input/devices entry for it is:

I: Bus=0011 Vendor=0002 Product=000a Version=0000
N: Name="TPPS/2 IBM TrackPoint"
P: Phys=isa0060/serio1/input0
S: Sysfs=/class/input/input1
H: Handlers=mouse0 event1 
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=3


Comment 3 Bill Nottingham 2005-12-07 19:29:15 UTC
Considering the mouse probe in anaconda does nothing useful at this point (it
doesn't change the config), it might be best to remove the check entirely.

Comment 4 Bill Nottingham 2005-12-07 19:48:32 UTC
Fixed in CVS. Will be in 10.90.14 or later.

Comment 5 Alexandre Oliva 2006-01-13 16:17:04 UTC
FC5T2 candidate's anaconda still mis-probes the mouse from the original report.
 /proc/bus/input/devices says Name="GenPS/2 Genius <NULL>".  Yes, I found the
<NULL> very odd too.

Comment 6 Jeremy Katz 2006-01-18 16:03:44 UTC
We're not actually using the value anymore.  Chris -- can you nuke printing this
unused stuff out ;-)


Note You need to log in before you can comment on or make changes to this bug.